Method: organizations.locations.resourceEnrollmentStatuses.list

Lists all the folders and projects in an organization or folder, along with their enrollments.

HTTP request

GET https://auditmanager.googleapis.com/v1/{parent=organizations/*/locations/*}/resourceEnrollmentStatuses

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent organization or folder to list enrollment statuses for, in one of the following formats:

  • folders/{folder}/locations/{location}
  • organizations/{organization}/locations/{location}

Query parameters

Parameters
pageSize

integer

Optional. Maximum number of items to return in a single page. The service might return fewer items than this value. If unspecified, the service picks an appropriate default. The maximum value is 100; values above 100 are reduced to 100.

pageToken

string

Optional. A page token, received from a previous call, to retrieve the next page of results.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of ListResourceEnrollmentStatusesResponse.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • auditmanager.resourceEnrollmentStatuses.list

For more information, see the IAM documentation.